Bug 533740 - optional/additional repositories not listed during install of RC3
optional/additional repositories not listed during install of RC3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-11-08 15:52 EST by Gene Czarcinski
Modified: 2013-01-10 00:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-09 10:38:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the qemu-kvm guest install (105.73 KB, image/png)
2009-11-08 15:53 EST, Gene Czarcinski
no flags Details
yum.log from x86_64 install on AMD 4400+ (431.96 KB, text/plain)
2009-11-08 15:54 EST, Gene Czarcinski
no flags Details
yum.log from laptop install (462.15 KB, text/plain)
2009-11-08 15:55 EST, Gene Czarcinski
no flags Details
yum.log from install on qemu-kvm guest (same as screenshot) (213.71 KB, application/octet-stream)
2009-11-08 16:03 EST, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2009-11-08 15:52:44 EST
Description of problem:
Normally (F11 and previous spins of F12 such as alpha and beta), optional additional repositories for fedora and updates are listed so that you can do an up-to-date install with all packages available.  This is not happening in RC3.

I have two real-hardware installs and a qemu-kvm guest install where this has occurred.  I am attaching the yum.log files from each plus the screenshot of the guest.

Version-Release number of selected component (if applicable):
Fedora 12 RC-3
Comment 1 Gene Czarcinski 2009-11-08 15:53:51 EST
Created attachment 368074 [details]
screenshot of the qemu-kvm guest install
Comment 2 Gene Czarcinski 2009-11-08 15:54:50 EST
Created attachment 368075 [details]
yum.log from x86_64 install on AMD 4400+
Comment 3 Gene Czarcinski 2009-11-08 15:55:31 EST
Created attachment 368077 [details]
yum.log from laptop install
Comment 4 Gene Czarcinski 2009-11-08 16:03:36 EST
Created attachment 368082 [details]
yum.log from install on qemu-kvm guest (same as screenshot)
Comment 5 Jesse Keating 2009-11-08 16:10:42 EST
[2009-11-08 20:32:40,664] WARNING : Excluding devel repo Fedora 12 - x86_64 - Updates for non-devel anaconda
[2009-11-08 20:32:40,669] WARNING : Excluding devel repo Fedora 12 - x86_64 for non-devel anaconda

That's not good.  I need to do some digging in anaconda to see why its throwing those out.
Comment 6 Jesse Keating 2009-11-08 19:32:27 EST
I've found the fault and sent a patch upstream.  I'll be doing a build with the
patch as soon as I verify it.  Promoting to blocker.
Comment 8 James Laska 2009-11-08 21:04:37 EST
Testing using RC4 DVD containing anaconda-12.46-2 - http://jlaska.fedorapeople.org/anaconda-12.46-2.png
Comment 9 Gene Czarcinski 2009-11-09 10:38:08 EST
tested with RC4 and it works.

Note You need to log in before you can comment on or make changes to this bug.